### robocode.control

# Class RobotSpecification

- `java.lang.Object`
- - `robocode.control.RobotSpecification`

Implemented Interfaces:
  Serializable

`public class RobotSpecification`
`extends Object`
`implements Serializable`

Defines the properties of a robot, which is returned from `RobocodeEngine.getLocalRepository()` or

Authors:
  Mathew A. Nelson (original)
  Flemming N. Larsen (contributor)

See Also:
  Serialized Form

  ## Method Summary

  `String`

  `getAuthorName()`
    Returns the name of this robot's author.

  `String`

  `getClassName()`
    Returns the full class name of this robot or team.

  `String`

  `getDescription()`
    Returns the description provided by the author of this robot.

  `File`

  `getJarFile()`
    Returns the JAR file containing this robot or team, or `null` if it does not come from a JAR file (could be class files instead).

  `String`

  `getName()`
    Returns the name of this robot or team.

  `String`

  `getNameAndVersion()`
    Returns the name and version of this robot or team.

  `String`

  `getRobocodeVersion()`
    Returns the version of Robocode this robot was based on.

  `String`

  `getVersion()`
    Returns the version of this robot or team.

  `String`

  `getWebpage()`
    Returns the web page for this robot.

## Method Details

### getAuthorName

    public String getAuthorName()

> Returns the name of this robot's author.
> Returns:
>   the name of this robot's author.

### getClassName

    public String getClassName()

> Returns the full class name of this robot or team.
> Returns:
>   the full class name of this robot or team.

### getDescription

    public String getDescription()

> Returns the description provided by the author of this robot.
> Returns:
>   the description provided by the author of this robot.

### getJarFile

    public File getJarFile()

> Returns the JAR file containing this robot or team, or `null` if it does not come from a JAR file (could be class files instead).
> Returns:
>   the JAR file containing this robot or team, or `null` if it does not come from a JAR file (could be class files instead).

### getName

    public String getName()

> Returns the name of this robot or team.
> Returns:
>   the name of this robot or team.
> See Also:
>   `getVersion()`, `getNameAndVersion()`

### getNameAndVersion

    public String getNameAndVersion()

> Returns the name and version of this robot or team.
> Returns:
>   the name and version of this robot or team.
> Since:
>   1.3
> See Also:
>   `getName()`, `getVersion()`

### getRobocodeVersion

    public String getRobocodeVersion()

> Returns the version of Robocode this robot was based on.
> Returns:
>   the version of Robocode this robot was based on.

### getVersion

    public String getVersion()

> Returns the version of this robot or team.
> Returns:
>   the version of this robot or team.
> See Also:
>   `getName()`, `getNameAndVersion()`

### getWebpage

    public String getWebpage()

> Returns the web page for this robot.
> Returns:
>   the web page for this robot.